Subject: Re: [dhcwg] RFC 3633 to Internet Standard

From: "Leaf Yeh" <[email-masked]>
Date: Tue, 1 Oct 2013 23:39:57 +0800

Ralph - How does the Access Router know the route through the RR to the PC?
I thought that was the information that needs to be installed on the Access
Router.

I guess Ole's answer in the thread of 'Re: [dhcwg] Advancing RFC 3315 and
RFC 3633 to Internet Standard' was '...everyone does this with snooping
today...'

Best Regards,
Leaf

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Ralph Droms
Sent: Thursday, September 26, 2013 3:18 AM
To: Alexandru Petrescu
Cc: [email-masked] WG
Subject: Re: [dhcwg] RFC 3633 to Internet Standard

On Sep 25, 2013, at 12:36 PM 9/25/13, Alexandru Petrescu
<[email-masked]> wrote:

> Le 24/09/2013 22:43, Ralph Droms a écrit :
>> 
>> On Sep 24, 2013, at 2:35 PM 9/24/13, Alexandru Petrescu
<[email-masked]> wrote:
>> 
>>> Le 24/09/2013 10:32, Ralph Droms a écrit :
>>>> 
>>>> On Sep 23, 2013, at 3:58 PM 9/23/13, Alexandru Petrescu 
>>>> <[email-masked]> wrote:
>>>> 
>>>>> Le 23/09/2013 15:55, Tomek Mrugalski a écrit :
>>>>>> On 23.09.2013 13:50, Alexandru Petrescu wrote:
>>>>>>> Le 22/09/2013 19:57, Leaf Yeh a écrit :
>>>>>>>> Ralph > The piece of network equipment that implements the 
>>>>>>>> relay agent routes, and that network equipment *might* also 
>>>>>>>> need a route.
>>>>>>>> 
>>>>>>>> On the PE router implementing relay for DHCPv6-PD, it always 
>>>>>>>> needs add the associated route for the CE's network of 
>>>>>>>> delegated prefix. I can't see *might* here.
>>>>>>> 
>>>>>>> I agree with the doubt.  I don't see a might, but rather a must. 
>>>>>>> Otherwise it doesn't work.
>>>>>>> 
>>>>>>> But maybe I dont understand the word 'might' as a native speaker 
>>>>>>> could hear it.
>>>>>> Relay agent is functionality that can be provided by a piece of 
>>>>>> software. You can run it on any box that is connected to more 
>>>>>> than one network. Although typically such a box serves as a 
>>>>>> router, it doesn't have to.
>>>>> 
>>>>> You mean a Relay agent which runs on a pure Host (single real 
>>>>> interface, no additional virtual/real interfaces)?
>>>>> 
>>>>> Even in that case it (or the Router on the same link which is 
>>>>> connected to the Internet) will need to install a route towards 
>>>>> the Requesting Router's interface for the delegated prefix.
>>>> 
>>>> And there's the exact point of the discussion - if the relay agent 
>>>> is not implemented on the router that needs the route, passing the 
>>>> route in the DHCPv6 message exchange through the relay agent won't 
>>>> get the route to the appropriate router.
>>>> 
>>>>> 
>>>>> In all cases, the Relay and other routers on that link MUST 
>>>>> install a route.
>>>> 
>>>> And how does that route get to the other routers?
>>> 
>>> They are all on the same link, and one mechanism used to install 
>>> routes dynamically is during ICMP Redirect.
>> 
>> According to RFC 4861, sec. 8.2, routers ignore ICMPv6 Redirect messages:
>> 
>>    A router MUST NOT update its routing tables upon receipt of a
>>    Redirect.
>> 
>> I don't recall if that text is updated by subsequent RFCs.
> 
> I don't know either whether subsequent RFCs update it, or whether linux
has knobs allowing that - one should check.
> 
> And, what I meant is not a necessarily a Router but maybe a Host
DHCPRelay:
>                        ________ ----------
>                       |        |DHCPServer|
>                      ...        ----------
>                       |
>    ----------     ---------
>   | Host     |   | Access  |
>   | DHCPRelay|   | Router  |
>    ----------     ---------
>        |              |
>    ----+--------------+
>        |
>    ----------     ----
>   |Requesting|   | PC |
>   | Router   |   |    |
>    ----------     ----
>        |            |
>    ----+------------+--
> 
> After the PD phase, and after the assumed route insertion in Access
Router, the Host DHCPRelay would get an ICMPRedirect from the Access Router
whenever wanting to talk to PC.  The route it installs is for the Delegated
Prefix.

The "Host DHCPRelay" has to be on the same link with the PC.

How does the Access Router know the route through the RR to the PC?  I
thought that was the information that needs to be installed on the Access
Router.

- Ralph

> 
> (the topology above has some advantages in terms of rapid deployment of
DHCPv6 in a hostpot network).
> 
> Alex
> 
>> 
>>> 
>>>>> Whether they do it at allocation time, at ICMP Redirect time, or 
>>>>> at manual config time - is another matter.
>>>> 
>>>> I'm not saying the route installation can't be accomplished through 
>>>> DHCPv6.  I think you'll need to address the specific issues I 
>>>> raised in previous e-mail to publish a specification for passing 
>>>> routing information to the appropriate router through a DHCPv6 
>>>> message exchange with a host.
>>> 
>>> Ok, my point is whether or not we could formulate a problem 
>>> statement for this: there is a need for a route in the concerned 
>>> routers, after the PD operation.  Without that route the 
>>> communication can't be established between Hosts configured with an 
>>> address prefixed by the delegated prefix.
>> 
>> I agree that there is a need for the route to exist and an appropriate
problem statement could be formulated.
>> 
>> - Ralph
>> 
>>> 
>>> Alex
>>> 
>>>> 
>>>> - Ralph
>>>> 
>>>>> 
>>>>> Without that route the whole schmillblick doesn't work.
>>>>> 
>>>>> Alex
>>>>> 
>>>>> 
>>>>> _______________________________________________ dhcwg mailing list 
>>>>> [email-masked] https://www.ietf.org/mailman/listinfo/dhcwg
>>>> 
>>>> 
>>>> 
>>> 
>>> 
>> 
>> 
>> 
> 
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Ralph Droms <[email-masked]>
Date: Wed, 2 Oct 2013 08:15:53 -0400

> RFC 3633 to Internet Standard' was '...everyone does this with snooping

But that's snooping on the device on which the relay agent runs.  In the diagram we're discussing, the Access Router doesn't have a relay agent and wouldn't snoop.

- Ralph